apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: unsafesysctl-{{ namespace }}-{{ redis_name }}
spec:
  allowedUnsafeSysctls:
  - net.core.somaxconn
  fsGroup:
    ranges:
    - max: 65535
      min: 1
    rule: MustRunAs
  privileged: false
  requiredDropCapabilities:
  - ALL
  runAsUser:
    rule: MustRunAsNonRoot
  seLinux:
    rule: RunAsAny
  supplementalGroups:
    ranges:
    - max: 65535
      min: 1
    rule: MustRunAs
  volumes:
  - configMap
  - downwardAPI
  - emptyDir
  - persistentVolumeClaim
  - projected
  - secret
